<?php
  ///////////////////////////////////////////////////
  //2010 (C)
  //Карпухин Павел
  ///////////////////////////////////////////////////

  $lang = substr($_SERVER["HTTP_ACCEPT_LANGUAGE"], 0,2);
  if(is_file ("../lang/".$lang."/".$lang.".php")) {include "../lang/".$lang."/".$lang.".php";}
     else {include "../lang/ru/ru.php";}

  $title = $TEXT['upr-title-edit'];

  require_once "../config_a.php";
  require_once "../utils/functions.php";
  require_once "../utils/top_adm.php";

  if($result2['administrator'] == 0) {puterror($result2['skin'],$TEXT['error-loginform2']); require_once "../utils/bottom_adm.php"; exit();}

  if(empty($_GET['addr_id'])) {puterror($result2['skin'],$TEXT['error-upr5']); require_once "../utils/bottom_adm.php"; exit();}
  if(strlen($_GET['addr_id'])>255) {puterror($result2['skin'],$TEXT['error-upr6']); require_once "../utils/bottom_adm.php"; exit();}
  $_GET['addr_id'] = rep($_GET['addr_id']);

  $query = "UPDATE `tbl_upr` SET `vkl_upr`='1' WHERE `addr_id`='".$_GET['addr_id']."' ";
  if(mysqli_query($dbcnx,$query))
  {
    echo "<html><head>
          <meta HTTP-EQUIV='Refresh' CONTENT='0; URL=index.php' />
          </head></html>";
  } else {puterror($result2['skin'],$TEXT['error-tbl3']); require_once "../utils/bottom_adm.php"; exit();}
  require_once "../utils/bottom_adm.php";
?>